#ifndef __MACROS_P_H__
#define __MACROS_P_H__

extern _VOID_ store_kbd_macro_char _P_((Lisp_Object c));
extern _VOID_ finalize_kbd_macro_chars _P_((void));
extern _VOID_ init_macros _P_((void));
extern _VOID_ syms_of_macros _P_((void));
extern _VOID_ keys_of_macros _P_((void));

DEFUN_P(Fstart_kbd_macro, (Lisp_Object append));
DEFUN_P(Fend_kbd_macro, (Lisp_Object arg));
DEFUN_P(Fcall_last_kbd_macro, (Lisp_Object prefix));
DEFUN_P(Fexecute_kbd_macro, (Lisp_Object macro, Lisp_Object prefixarg));

#endif
